QGIS Application - Bug report #11406
Qgis-server in single-symbol and category renderer don't use the metadata title
2014-10-14 01:06 AM - aperi2007 -

Status: Closed

Priority: Severe/Regression

Assignee:

Category: QGIS Server

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19686
Description

In qgis-server (| tested with last dev), when using a categorized renderer and GetLegendGraphics, the returned image doesn't show the
LayerName as title of the layer in the legend. Like in this sample:

http://tinyurl.com/kwvoo6h

Or this other for single-symbol rendering:

http://tinyurl.com/garavsm

AFAICT it would be better to use the the metadata title (when filled) in the legend. In fact the layername is often a non-understandable
code while the metadata title is a human understandable value.

| asked on ML, whether this is a regression and was asked to opened a ticket.

Thx.

See also Qgis-server in single-symbol renderer don't use the metadata title.

Associated revisions

Revision bb95a0f4 - 2014-10-16 11:11 PM - Jiirgen Fischer

use layer title instead of name in server getlegendgraphic response (fixes #11406)

History

#1 - 2014-10-14 01:11 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Affected QGIS version changed from 2.4.0 to master

is this a regression compared to previous qgis server releases? cheers!

#2 - 2014-10-14 01:28 AM - aperi2007 -

I try to test is directly.

But is not so easy.
http://lists.osgeo.org/pipermail/qgis-developer/2014-October/035076.html

| dont know how to maintain two completelly distinct versions of qgis-server on the same machine.

So the only solution is remove the dev and compile the 2.4
This require some time to do.
| hope to do this early.

#3 - 2014-10-14 01:43 AM - aperi2007 -
- File qgis24_1.gif added

Hi,
| confirm is a regression.
| tested it on qgis 2.4 e correctly appear the ttles.

| attach two images to show the results from the same getlegendgraphics .

#4 - 2014-10-14 01:43 AM - aperi2007 -
- File qgis24_2.gif added

also this image from qgis 2.4 server.

#5 - 2014-10-14 01:52 AM - Giovanni Manghi

- Status changed from Feedback to Open

#6 - 2014-10-14 02:15 AM - aperi2007 -

- File qgis26_1.gif added
- File qgis26_2.gif added

| add also the two images for the same requests on the same datasets and same project qgis using a qgis 26 server.

The second image show clearly that in the title of layer , qgis 2.6 server , is using the layer_name :

"elementi_franosi_single_renderer"

instead of the title ad available from Metatada->Title ("Title of layer")

Same proble when using the Categorize rendering.

| dont test for rule-rendering but | guess more probably the problem is also in it.

#7 - 2014-10-16 02:13 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"bb95a0f43a53602bd7ad1ea6783d251755c66019".
